Subject: Re: [PATCH 0/6] gitweb: Add combined diff support

From: Jakub Narebski <[email-masked]>
Date: Tue, 8 May 2007 03:50:25 +0200

Junio C Hamano wrote:

> I've minimally tried this on my private machine.  Looks pretty
> nice for simple merges, but I think we would want --cc not -c
> most of the time.

Please note that --cc would need some changes to both git_difftree_body 
and git_patchset_body; it is not just matter of replacing 
'-c' by '--cc'. Hunk simplification might mean that whole patch 
vanishes. So sometimes we have difftree (raw diff, whatchanged) line 
which does not have corresponding patch, and there should be no "patch" 
link (this is harder part). This mean also that in git_patchset_body we 
need sometimes to skip some difftree line / difftree info line (this is 
easier part).

-- 
Jakub Narebski
Poland